<?php 
	/*
       Template Name: OnePager
    */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
		<!--[if lt IE 9]>
	<script src="<?php echo esc_url( get_template_directory_uri() ); ?>/js/html5.js"></script>
	<![endif]-->
	<?php wp_head(); ?>
	<?php $post = get_post( );  ?>
	<link href="<?php echo esc_url( get_template_directory_uri() ); ?>/onepager.css"" rel='stylesheet' type='text/css'>
	<script src="<?php echo esc_url( get_template_directory_uri() ); ?>/onepager.js"></script>
</head>
<body>
	<div id="page">
		<header id="masthead" role="banner">
			<div>
				<?php 
				/*
					Text of the post of this link is used for an entry / header - text
					The Headline is not used, because it would limit the design
				*/
				echo $post->post_content; ?>
			</div>
			<?php 
				/*
					We could use the sidebar with this template, but don't have to.
				*/
				// get_sidebar(); ?>
			<?php
			/*
				Get the menu that has the post_title as name.
			*/		
			$args	= array(
				'order'                  => 'ASC',
				'orderby'                => 'menu_order',
				'post_type'              => 'nav_menu_item',
				'post_status'            => 'publish',
				'output'                 => ARRAY_A,
				'output_key'             => 'menu_order',
				'nopaging'               => true,
				'update_post_term_cache' => false
			);
			
			$items 		= wp_get_nav_menu_items( $post->post_title, $args ); 
			
			$counter 	= count($items);

			/*
				if menu got any items, start to iterate over them
			*/
			if ($counter > 0) {
				
				$parentId 	= $items[0]->ID;
				$elItems 	= array();
				$menu 		= array();
				
				for ($i = 1; $i < $counter; $i++) {
					/*
						We want only the items, that are direct children, not the grandchildren
					*/
					if ($items[$i]->menu_item_parent != $parentId){
						continue;
					} 
						
					/*
						saving the IDs for later use
					*/
					$elItems[] = array (
						'id' => $items[$i]->object_id,
						'title' => $items[$i]->title
					);
					
					/*
						creating an in-page-menu
					*/
					$menu[] = '<li><a href="#' . $items[$i]->title . '">' . $items[$i]->title . '</a></li>';
				}
				
				/*
					putting out the menu
				*/
				echo '<nav class="onepager-menu clearfix"><ul>' . implode ('', $menu) . '</ul></nav>';
			}
			?>
		</header>
		<div id="content">
		<?php if ($counter > 0) : ?>
			<?php
				/*
					Now we iterate over the collected Ids
				*/
			?>
			<?php foreach ( $elItems as $element ) : ?>
				<?php $post = get_post($element['id']); ?>
				<section class="post  build-block">
					<a name="<?php echo $element['title']; ?>"></a>
					<?php echo $post->post_content ?>
				</section> 
				<div class="clearfix"></div>
			<?php endforeach; ?>
		<?php endif; ?>
		</div>
	</div>
	<footer id="colophon" class="site-footer" role="contentinfo">
		<?php wp_footer(); ?>
	</footer>
</body>
</html>

